/*eslint-env es6*/
/*eslint no-console: "off"*/

/**
 * Hide a primary navigation item by href
 * @param {string|Array} hrefs The link that should be hidden
 */
export function hide_primary(hrefs) {
    if(typeof hrefs === 'string' || hrefs instanceof String){
        hrefs = [hrefs];
    }

    if(typeof hrefs === 'object' && Array.isArray(hrefs)){
        let element = document.createElement('style');
        document.head.appendChild(element);
        let sheet = element.sheet;
        for(const ix in hrefs){
            const href = hrefs[ix];
            console.info(`Hiding ${href}`);
            let style = `
                li > a[href*="${href}"] {
                    display: none;
                }
            `;
            sheet.insertRule(style, sheet.cssRules.length);
            style = `
                #usernavigation a[href*="${href}"] {
                    display: none;
                }
            `;
            sheet.insertRule(style, sheet.cssRules.length);
        }
        console.info(element);
        console.info(sheet);
    }
}
